<?php

namespace App\Models\Goods;

use App\Base\BaseModel;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * App\Models\Goods\GoodsCustom
 *
 * @property int                             $id
 * @property string                          $title
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsCustom newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsCustom newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsCustom query()
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsCustom whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsCustom whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsCustom whereTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsCustom whereUpdatedAt($value)
 * @mixin \Eloquent
 * @property string                          $en_title
 * @method static \Illuminate\Database\Eloquent\Builder|GoodsCustom whereEnTitle($value)
 */
class GoodsCustom extends BaseModel
{
    protected $table = "goods_custom";
}
