<?php

namespace App\Base;

use Illuminate\Database\Eloquent\Model;
use DateTimeInterface;
/**
 * App\Base\BaseModel
 *
 * @method static \Illuminate\Database\Eloquent\Builder|BaseModel newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|BaseModel newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|BaseModel query()
 * @mixin \Eloquent
 */
class BaseModel extends Model
{
    protected $perPage = 10;
    protected $casts = [
        "extra" => "array",
    ];
    protected $guarded = ["*"];
}
