<?php

namespace App\Models\Auth;

use App\Base\BaseModel;

/**
 * App\Models\Auth\AdminGroup
 *
 * @property int                             $id
 * @property string                          $name
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|AdminGroup newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|AdminGroup newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|AdminGroup query()
 * @method static \Illuminate\Database\Eloquent\Builder|AdminGroup whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|AdminGroup whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|AdminGroup whereName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|AdminGroup whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class AdminGroup extends BaseModel
{
    protected $table = "admin_group";
}
