<?php

namespace App\Modules\Mini\Controllers;

use App\Base\BaseController;
use App\Models\Setting;
use App\Models\User\UserAddress;
use App\Models\User\UserFav;
use App\Modules\Mini\Services\AddressService;
use App\Modules\Mini\Services\CompanyService;
use App\Modules\Mini\Services\FavService;
use Faker\Provider\Image;
use Illuminate\Support\Facades\Auth;

class ConfigController extends BaseController
{
    public function index()
    {
        return $this->ok([
            "search_keywords" => Setting::whereType(Setting::TYPE_HOT_KEYWORD)->firstOrFail()->value,
        ]);
    }
}
