<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table("goods", function (Blueprint $table) {
            $table->string("sn");
            $table->string("url_3d");
        });
        Schema::create("goods_spec_map", function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("goods_id");
            $table->unsignedBigInteger("spec_id");
            $table->string("value")->default("");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists("goods_spec_map");
        Schema::table("goods", function (Blueprint $table) {
            $table->dropColumn("sn");
            $table->dropColumn("url_3d");
        });
    }
};
