<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::dropIfExists("goods_sku");
        Schema::table("goods", function (Blueprint $t) {
            $t->string("custom", 2000)->default("");
        });
        Schema::table("order_goods", function (Blueprint $t) {
            $t->string("custom", 2000)->default("");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table("goods", function (Blueprint $t) {
            $t->dropColumn("custom");
        });
        Schema::table("order_goods", function (Blueprint $t) {
            $t->dropColumn("custom");
        });
    }
};
