<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table("user_company", function (Blueprint $t) {
            $t->string("department")->default("");
            $t->string("tel")->default("");
            $t->string("address")->default("");
            $t->string("linkman")->default("")->comment("联系人名称");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table("user_company", function (Blueprint $t) {
            $t->dropColumn("department");
            $t->dropColumn("tel");
            $t->dropColumn("address");
            $t->dropColumn("linkman");
        });
    }
};
